Bug 199227 - tg3 driver for ethernet card keeps dropping
tg3 driver for ethernet card keeps dropping
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 01:02 EDT by Kyle Pablo
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-16 11:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Pablo 2006-07-18 01:02:46 EDT
Description of problem:
When downloading torrents my network connection would drop.  I put the torrent
client settings on low and it still drops my connection.  So obviously the tg3
driver cannot handle it.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5

How reproducible:
every time when downloading

Steps to Reproduce:
1. start torrent client
2. download packets
3. after a couple of minutes my connection dies
  
Actual results:
when downloading connection drops.  i checked my logs and i found this:

ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
NETDEV WATCHDOG: eth0: transmit timed out
tg3: eth0: transmit timed out, resetting
tg3: tg3_stop_block timed out, ofs=2c00 enable_bit=2
tg3: tg3_stop_block timed out, ofs=1400 enable_bit=2
tg3: tg3_stop_block timed out, ofs=4800 enable_bit=2
tg3: eth0: Link is down.
tg3: eth0: Link is up at 100 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present




Expected results:
constant connection on ethernet device when downloading

Additional info:
Comment 1 Knut J BJuland 2006-07-19 01:51:01 EDT
 By disabeling TSO is a workaround for this bug.
http://marc.theaimsgroup.com/?l=linux-netdev&m=115056877413890&w=2 for patch.
Comment 2 Craig Kelley 2006-07-19 18:11:54 EDT
I see this behavior on kernel-2.6.17-1.2157_FC5 and kernel-2.6.17-1.2145_FC5,
but not on kernel-2.6.16-1.2133_FC5 (which I have moved back to).  The lspci for
my NIC is as follows:

80:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)

I run with the smp kernels (hyperthreaded Intel processor).  I can trigger it
with bittorrent, but I can also trigger it with massive traffic of other kinds.
Comment 3 Kyle Pablo 2006-07-30 23:51:19 EDT
Will the patch be included in the next kernel update?  
Comment 4 James Ralston 2006-08-07 11:34:58 EDT
I encountered this problem this morning when I started downloading FC6test2.

I'm running kernel-2.6.17-1.2157_FC5 (x86_64).  My NIC is:

02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)

Disabling TSO ("ethtool -K eth0 tso off") seems to successfully work around the
problem.
Comment 5 Kyle Pablo 2006-08-14 12:24:17 EDT
I have upgraded to the latest kernel-2.6.17-1.2174_FC5 and the problem still exist.
Comment 6 Kris 2006-08-17 19:04:15 EDT
Just wanted to say I've the same problem. TG3 driver with BCM5721 network cards
2.6.17-1.2157_FC5    after a while of heavy network traffic ifconfig reports
dropped packets up the wazoo. The machine becomes unresponsive to any network
requests untill the interface is brought down and then back up. 
Comment 7 Dave Jones 2006-10-16 16:36:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.